/* CocoaMonkeyController */

#import <Cocoa/Cocoa.h>

@interface CocoaMonkeyController : NSObject
{
    IBOutlet id compressFileTable;
    IBOutlet id compressionLevel;
    IBOutlet id progressIndicator;
    IBOutlet id fixedOutputDir;
	IBOutlet id decompressFileTable;
	IBOutlet id statusText;
	IBOutlet id prefPane;
	IBOutlet id dupRadio;
	IBOutlet id outputRadio;
	IBOutlet id setOutputDirButton;
	IBOutlet id mainWindow;
	IBOutlet id errorLog;
	IBOutlet id errorLogPane;
	IBOutlet id encodeButton;
	IBOutlet id decodeButton;
	IBOutlet id pathStyle;
	IBOutlet id outputMode;
	NSMutableArray *compressFiles;
	NSMutableArray *decompressFiles;
	NSMutableArray *encodeStatusArray;
	NSMutableArray *decodeStatusArray;
	BOOL encodeFinished;
	BOOL decodeFinished;
	BOOL isEncoding;
	BOOL isDecoding;
	id compressCore;
	BOOL doesShowFullPath;
}
- (IBAction)startDecode:(id)sender;
- (IBAction)startEncode:(id)sender;
- (IBAction)prefOK:(id)sender;
- (IBAction)prefCancel:(id)sender;
- (IBAction)showPref:(id)sender;
- (IBAction)enableOutputDir:(id)sender;
- (IBAction)setOutputDir:(id)sender;
- (IBAction)clearEncodeTable:(id)sender;
- (IBAction)clearDecodeTable:(id)sender;
- (IBAction)addEncodeItem:(id)sender;
- (IBAction)addDecodeItem:(id)sender;
- (IBAction)showErrorLog:(id)sender;
- (void)setProgressBar:(int)percentage;
- (void)appendCompressFile:(NSArray *)files;
- (void)appendDecompressFile:(NSArray *)files;
- (void)setStatus:(NSString *)str;
- (void)loadPrefs;
- (void)savePrefs;
- (void)setStatusImageAtRow:(int)row mode:(int)m name:(NSString *)name;
- (void)processFinished:(int)m;
- (void)removeSelectedFile:(id)table;
- (void)removeSelectedDecompressFile;
- (void)setErrorLogText:(NSString *)str;

@end
